# leg20180329: Compare different Tcl JSON parsers against the TON implementation

#####
# Configuration of the benchmark
#
# The variable testSeries holds a dictionary with test names and the
# number of times, each test shall be run and the scale of the
# display, which may be µs, ms or s
#

# The test are run in the specified order.

interp alias {} add {} lappend testSeries
set testSeries {}
add rfc_o        1000 µs
add mock_100      250 ms
add mock_1000      50 ms
add json-generator  3 s
add mtg             2 s

#
# The variable testImps holds a list of JSON parse proc's which should
# be benchmarked in order.

interp alias {} add {} lappend testImps
set testImps {}

# C implementations
#add jq
#add tcl-duktape
#add rl_json
#add yajltcl
add sqlite3-json1

# pure Tcl implementations
add j2d

add ton2list
add tonlr2list
#add tonnv2list
#add tonnr2list

add ton2dict
add tonlr2dict
#add tonnv2dict
#add tonnr2dict

add tona2dict
add tonlra2dict
#add tonnva2dict
#add tonnra2dict

add tcllib-json
add jsonDecodeTcl
add jimhttp-json

interp alias {} add {}
